<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.spire.mapper.ScadaMonitoringRealtimeMapper">

    <resultMap id="BaseResultMap" type="com.tofly.spire.entity.ScadaMonitoringRealtime">
            <id property="id" column="ID" jdbcType="DECIMAL"/>
            <result property="code" column="CODE" jdbcType="VARCHAR"/>
            <result property="value" column="VALUE" jdbcType="VARCHAR"/>
            <result property="scadaTime" column="SCADA_TIME" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="UPDATE_TIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,CODE,VALUE,
        SCADA_TIME,UPDATE_TIME
    </sql>
</mapper>
